Skip to main content
GET
What a part has cost, purchase by purchase — the evidence behind its valuation.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
part_id
string
part_number
string
part_name
string
cost_type
string
unit_cost
string
unit_cost_currency_id
string
quantity
string
effective_at
string
vendor_id
string
vendor
string
source_reference
string
created_at
string
created_by
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

cost_type
string<character varying>
Maximum string length: 30
created_at
string<timestamp with time zone>
created_by
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

effective_at
string<timestamp with time zone>
id
string<uuid>

Note: This is a Primary Key.

part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
quantity
number<numeric>
source_reference
string<character varying>
Maximum string length: 120
unit_cost
number<numeric>
unit_cost_currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

vendor
string<character varying>
Maximum string length: 200
vendor_id
string<uuid>

Note: This is a Foreign Key to assignable_vendors.id.